version: '3'
services:
  file-browser:
    restart: always
    image: filebrowser/filebrowser:latest
    container_name: filebrowser
    user: 1000:1000
    ports:
      - 8040:80
    volumes:
      - /media/share:/srv
      - ./data/filebrowser.db:/database.db
      - ./data/settings.json:/.filebrowser.json
      - ./data/gafiled.png:/config/logo.png
      - ./data/branding:/branding
    security_opt:
      - no-new-privileges:true
